regina::XMLCallback Class Reference
File

Provides the callbacks for an XMLParser required to parse an entire file using a series of XMLElementReader objects. More...

`#include <utilities/xmlcallback.h>`

Inheritance diagram for regina::XMLCallback:

## Public Member Functions

| XMLCallback (XMLElementReader &newTopReader, std::ostream &newErrStream)
| Creates a new callback object. More...
virtual | ~XMLCallback ()
| Destroys this callback object. More...
int | state () const
| Returns the state that this callback object is currently in. More...
void | abort ()
| Aborts processing of the XML file completely. More...
virtual void | start_document (regina::xml::XMLParser *parser)
| Called at the start of the document. More...
virtual void | end_document ()
| Called when the document is finalised. More...
virtual void | start_element (const std::string &n, const regina::xml::XMLPropertyDict &p)
| Called when an element's opening tag is encountered. More...
virtual void | end_element (const std::string &n)
| Called when an element's closing tag is encountered. More...
virtual void | characters (const std::string &s)
| Called when characters are encountered. More...
virtual void | warning (const std::string &s)
| Called when a parser warning occurs. More...
virtual void | error (const std::string &s)
| Called when a parser error occurs. More...
virtual void | fatal_error (const std::string &s)
| Called when a parser fatal error occurs. More...
virtual void | comment (const std::string &s)
| Called when a comment is encountered. More...

## Static Public Attributes

static const int | WAITING
| Signifies that the top-level XML element has not yet been seen. More...
static const int | WORKING
| Signifies that XML elements are currently being processed. More...
static const int | DONE
| Signifies that processing of all XML elements has finished. More...
static const int | ABORTED
| Signifies that XML processing was aborted. More...

## Detailed Description

Provides the callbacks for an XMLParser required to parse an entire file using a series of XMLElementReader objects.

See the XMLElementReader class notes for details of precisely how processing will take place.

Python:\n Not present.

The documentation for this class was generated from the following file:

- utilities/xmlcallback.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).